Bug 145651 - Underline too close in vertical text
Summary: Underline too close in vertical text
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-04 12:09 PDT by Dave Hyatt
Modified: 2015-12-13 23:27 PST (History)
5 users (show)

See Also:


Attachments
Patch (2.56 KB, patch)
2015-06-04 12:12 PDT, Dave Hyatt
simon.fraser: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-mavericks (898.23 KB, application/zip)
2015-06-04 12:53 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-mavericks-wk2 (993.65 KB, application/zip)
2015-06-04 12:58 PDT, Build Bot
no flags Details
Patch for EWS testing (3.47 KB, patch)
2015-06-05 09:14 PDT, Dave Hyatt
no flags Details | Formatted Diff | Diff
Patch (5.31 KB, patch)
2015-06-05 10:53 PDT, Dave Hyatt
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2015-06-04 12:09:11 PDT
Underlines in vertical text for Chinese are too close to the text.
Comment 1 Dave Hyatt 2015-06-04 12:12:36 PDT
Created attachment 254285 [details]
Patch
Comment 2 WebKit Commit Bot 2015-06-04 12:14:28 PDT
Attachment 254285 [details] did not pass style-queue:


ERROR: Source/WebCore/style/InlineTextBoxStyle.cpp:53:  Non-label code inside switch statements should be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/style/InlineTextBoxStyle.cpp:53:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 2 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2015-06-04 12:53:09 PDT
Comment on attachment 254285 [details]
Patch

Attachment 254285 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5346576339828736

Number of test failures exceeded the failure limit.
Comment 4 Build Bot 2015-06-04 12:53:13 PDT
Created attachment 254289 [details]
Archive of layout-test-results from ews103 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 5 Build Bot 2015-06-04 12:58:14 PDT
Comment on attachment 254285 [details]
Patch

Attachment 254285 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6647914923294720

Number of test failures exceeded the failure limit.
Comment 6 Build Bot 2015-06-04 12:58:18 PDT
Created attachment 254290 [details]
Archive of layout-test-results from ews107 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 7 Simon Fraser (smfr) 2015-06-04 13:47:42 PDT
Comment on attachment 254285 [details]
Patch

Can this be tested? Maybe a ref test that clips out the new underline, but would expose the old one?
Comment 8 Myles C. Maxfield 2015-06-04 13:53:42 PDT
(In reply to comment #7)
> Comment on attachment 254285 [details]
> Patch
> 
> Can this be tested? Maybe a ref test that clips out the new underline, but
> would expose the old one?

Yes, I wrote a test like this for skip: ink
Comment 9 Dave Hyatt 2015-06-05 09:14:20 PDT
Created attachment 254355 [details]
Patch for EWS testing
Comment 10 WebKit Commit Bot 2015-06-05 09:16:01 PDT
Attachment 254355 [details] did not pass style-queue:


ERROR: Source/WebCore/style/InlineTextBoxStyle.cpp:53:  Non-label code inside switch statements should be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/style/InlineTextBoxStyle.cpp:53:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 2 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Dave Hyatt 2015-06-05 10:53:49 PDT
Created attachment 254363 [details]
Patch
Comment 12 Dave Hyatt 2015-06-05 11:27:12 PDT
Fixed in r185256.
Comment 13 yisibl 2015-12-13 23:27:43 PST
http://trac.webkit.org/changeset/185256